-- --------------------------------------------------------

-- 
-- Table structure for table `agora_files`
-- 

CREATE TABLE `agora_files` (
  `file_id` int(11) NOT NULL auto_increment,
  `horde_uid` varchar(32) NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `filesize` int(11) NOT NULL default '0',
  `add_datetime` int(10) unsigned NOT NULL default '0',
  `message_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`file_id`),
  KEY `add_datetime` (`add_datetime`)
);

-- --------------------------------------------------------

-- 
-- Table structure for table `agora_forums`
-- 

CREATE TABLE `agora_forums` (
  `forum_id` int(10) unsigned NOT NULL,
  `scope` varchar(10) NOT NULL,
  `forum_name` varchar(255) NOT NULL,
  `active` tinyint(3) unsigned NOT NULL,
  `forum_description` varchar(255) NOT NULL,
  `forum_parent_id` int(10) unsigned NOT NULL,
  `user_uid` varchar(32) NOT NULL,
  `forum_moderated` tinyint(3) unsigned NOT NULL,
  `forum_attachments` varchar(50) NOT NULL,
  `message_count` int(10) unsigned NOT NULL,
  `thread_count` int(10) unsigned NOT NULL,
  `count_views` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`forum_id`),
  KEY `app` (`scope`,`active`)
);

-- --------------------------------------------------------

-- 
-- Table structure for table `agora_messages`
-- 

CREATE TABLE `agora_messages` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `forum_id` int(10) unsigned NOT NULL default '0',
  `thread` int(10) unsigned NOT NULL default '0',
  `parents` varchar(255) NOT NULL,
  `author` varchar(32) NOT NULL,
  `subject` varchar(85) NOT NULL,
  `body` text NOT NULL,
  `ip` varchar(255) NOT NULL,
  `status` tinyint(4) NOT NULL default '2',
  `modifystamp` int(10) unsigned NOT NULL default '0',
  `thread_count` int(10) unsigned NOT NULL default '0',
  `approved` tinyint(1) unsigned NOT NULL default '0',
  `datestamp` int(10) unsigned NOT NULL default '0',
  `viewcount` int(10) unsigned NOT NULL default '0',
  `locked` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`message_id`),
  KEY `forum_id` (`forum_id`,`thread`)
);
